apiVersion: apps/v1
kind: Deployment
metadata:
  name: deviceservice
spec:
  selector:
    matchLabels:
      app: deviceservice
  template:
    metadata:
      labels:
        app: deviceservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
      - name: server
        image: registry.gitlab.com/teraflow-h2020/controller/device:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 2020
        env:
        - name: DB_ENGINE
          value: "redis"
        - name: REDIS_DATABASE_ID
          value: "0"
        - name: LOG_LEVEL
          value: "DEBUG"
        readinessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:2020"]
        livenessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:2020"]
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 700m
            memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: deviceservice
spec:
  type: ClusterIP
  selector:
    app: deviceservice
  ports:
  - name: grpc
    protocol: TCP
    port: 2020
    targetPort: 2020
